API
POST /api/orgs/invites/accept
Accept Invite
POST /api/orgs/invites/accept
Accept Invite
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
token | string | Yes | - |
Example request
curl -X POST https://api.cognitivx.io/api/orgs/invites/accept \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"token": "icog_..."
}'Example response
200 application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "production",
"slug": "string",
"owner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"logo_url": "https://example.com",
"role": null,
"seats_purchased": 1,
"seats_used": null,
"subscription_status": "ok",
"subscription_interval": null,
"github_org_login": null,
"created_at": "2026-06-16T08:30:00Z"
}Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |